let g:python_host_prog  = '/usr/local/bin/python'
let g:python3_host_prog  = '/usr/local/bin/python3'
set t_Co=256
set number
set laststatus=2
set background=dark
set shiftwidth=4
set showcmd
set nocompatible
set path+=**
set wildmenu
colorscheme PaperColor

" Specify a directory for plugins
" - For Neovim: ~/.local/share/nvim/plugged
" - Avoid using standard Vim directory names like 'plugin'
call plug#begin('~/.local/share/nvim/plugs')

" Make sure you use single quotes

" Shorthand notation; fetches https://github.com/junegunn/vim-easy-align
Plug 'junegunn/vim-easy-align'

Plug('arakashic/chromatica.nvim')
" Any valid git URL is allowed
Plug 'https://github.com/junegunn/vim-github-dashboard.git'

" Multiple Plug commands can be written in a single line using | separators
Plug 'SirVer/ultisnips'
Plug 'honza/vim-snippets'
" On-demand loading
Plug 'scrooloose/nerdtree', { 'on':  'NERDTreeToggle' }
Plug 'Xuyuanp/nerdtree-git-plugin'
Plug 'tpope/vim-fireplace', { 'for': 'clojure' }

Plug 'Valloric/YouCompleteMe'

" Using a non-master branch
Plug 'rdnetto/YCM-Generator', { 'branch': 'stable' }

Plug 'ncm2/ncm2', { 'do': ':UpdateRemotePlugins'}
Plug 'roxma/nvim-yarp'

" NOTE: you need to install completion sources to get completions. Check
" our wiki page for a list of sources: https://github.com/ncm2/ncm2/wiki
Plug 'ncm2/ncm2-bufword'
" Plug 'ncm2/ncm2-tmux'
Plug 'ncm2/ncm2-path'
" Plug 'ncm2/utilsnips'


Plug 'junegunn/fzf', { 'dir': '~/.fzf', 'do': './install --all' }

Plug 'autozimu/LanguageClient-neovim', {
    \ 'branch': 'next',
    \ 'do': 'bash install.sh',
    \ }

Plug 'junegunn/fzf'

Plug 'Shougo/deoplete.nvim', { 'do': ':UpdateRemotePlugins' }

Plug 'zchee/deoplete-clang'

" Unmanaged plugin (manually installed and updated)
Plug '~/my-prototype-plugin'


Plug 'autozimu/LanguageClient-neovim', {
    \ 'branch': 'next',
    \ 'do': 'zsh install.sh'
    \ }

Plug 'pangloss/vim-javascript'

Plug 'https://github.com/tpope/vim-fugitive'

Plug 'airblade/vim-gitgutter'

Plug 'ludovicchabant/vim-gutentags'

Plug 'zivyangll/git-blame.vim'

Plug 'simplyzhao/cscope_maps.vim'

call plug#end()

let g:ycm_global_ycm_extra_conf = '~/.local/share/nvim/plugs/YouCompleteMe/.ycm_extra_conf.py'
" enable ncm2 for all buffers
autocmd BufEnter * call ncm2#enable_for_buffer()

" IMPORTANTE: :help Ncm2PopupOpen for more information
set completeopt=noinsert,menuone,noselect

autocmd StdinReadPre * let s:std_in=1
" Open NERDTree if vim is launched with no file
" autocmd VimEnter * if argc() == 0 && !exists("s:std_in") | NERDTree | endif
" Map Ctrl-N to toggle nerd tree
map <C-n> :NERDTreeToggle<CR>
" Close vim if NERDTree is the only window left open
" autocmd bufenter * if (winnr("$") == 1 && exists("b:NERDTree") && b:NERDTree.isTabTree()) | q | endif
nnoremap <Leader>s :<C-u>call gitblame#echo()<CR>
